403Webshell
Server IP : 103.119.228.120  /  Your IP : 3.135.190.107
Web Server : Apache
System : Linux v8.techscape8.com 3.10.0-1160.119.1.el7.tuxcare.els2.x86_64 #1 SMP Mon Jul 15 12:09:18 UTC 2024 x86_64
User : nobody ( 99)
PHP Version : 5.6.40
Disable Function : shell_exec,symlink,system,exec,proc_get_status,proc_nice,proc_terminate,define_syslog_variables,syslog,openlog,closelog,escapeshellcmd,passthru,ocinum cols,ini_alter,leak,listen,chgrp,apache_note,apache_setenv,debugger_on,debugger_off,ftp_exec,dl,dll,myshellexec,proc_open,socket_bind,proc_close,escapeshellarg,parse_ini_filepopen,fpassthru,exec,passthru,escapeshellarg,escapeshellcmd,proc_close,proc_open,ini_alter,popen,show_source,proc_nice,proc_terminate,proc_get_status,proc_close,pfsockopen,leak,apache_child_terminate,posix_kill,posix_mkfifo,posix_setpgid,posix_setsid,posix_setuid,dl,symlink,shell_exec,system,dl,passthru,escapeshellarg,escapeshellcmd,myshellexec,c99_buff_prepare,c99_sess_put,fpassthru,getdisfunc,fx29exec,fx29exec2,is_windows,disp_freespace,fx29sh_getupdate,fx29_buff_prepare,fx29_sess_put,fx29shexit,fx29fsearch,fx29ftpbrutecheck,fx29sh_tools,fx29sh_about,milw0rm,imagez,sh_name,myshellexec,checkproxyhost,dosyayicek,c99_buff_prepare,c99_sess_put,c99getsource,c99sh_getupdate,c99fsearch,c99shexit,view_perms,posix_getpwuid,posix_getgrgid,posix_kill,parse_perms,parsesort,view_perms_color,set_encoder_input,ls_setcheckboxall,ls_reverse_all,rsg_read,rsg_glob,selfURL,dispsecinfo,unix2DosTime,addFile,system,get_users,view_size,DirFiles,DirFilesWide,DirPrintHTMLHeaders,GetFilesTotal,GetTitles,GetTimeTotal,GetMatchesCount,GetFileMatchesCount,GetResultFiles,fs_copy_dir,fs_copy_obj,fs_move_dir,fs_move_obj,fs_rmdir,SearchText,getmicrotime
MySQL : ON |  cURL : ON |  WGET : ON |  Perl : ON |  Python : ON |  Sudo : ON |  Pkexec : ON
Directory :  /usr/share/doc/socat-1.7.3.2/

Upload File :
current_dir [ Writeable] document_root [ Writeable]

 

Command :


[ Back ]     

Current File : /usr/share/doc/socat-1.7.3.2/gatherinfo.sh
#! /bin/sh
# source: gatherinfo.sh
# Copyright Gerhard Rieger and contributors (see file CHANGES)
# Published under the GNU General Public License V.2, see file COPYING

#set -vx

# use this script after successful porting
# provide the platform name as argument with no dots, e.g. HPUX-11-0
# it generates the files:
# Config/Makefile.PLATFORM
# Config/config.PLATFORM.h
# Config/socat.PLATFORM.out
#
# Config/config.PLATFORM.log
# Config/compile.PLATFORM.log
# Config/test.PLATFORM.log

VERBOSE=
LOGGING=
INTERACTIVE=
CONFOPTS=
PLATFORM=
OUTPUT='>/dev/null'

# how to echo special characters?
if   [ `echo "x\c"` = "x" ]; then E=""
elif [ `echo -e "x\c"` = "x" ]; then E="-e"
fi

while [ -n "$1" ]; do
    case "$1" in
    -v) VERBOSE=1; shift;;	# tell about progress
    -d) LOGGING=1; shift;;	# show complete output
    -i) INTERACTIVE=1; shift;;	# diff and ask before overriding old files
    -*) CONFOPTS="$CONFOPTS $1"; shift;;
    *) PLATFORM="$1"; break;;
    esac
done

#if [ -z "$PLATFORM" ]; then
#  echo "please specify a configuration name, e.g. `uname -s`-`uname -r|tr '.' '-'`!" >&2; exit 1;
#fi

if [ $# -eq 0 ]; then
  echo $E "usage: $0 [-v] [-i] [configure options ...] platform" >&2
  echo $E "\t-v\t\tverbose (print actual command)" >&2
  echo $E "\t-d\t\tdump command outputs" >&2
  echo $E "\t-i\t\tinteractive (ask before overwriting something)" >&2
  echo $E "\tconfigure options\toptions for configure script, e.g. --disable-ip6" >&2
  echo $E "\tplatform\tdescribe your OS, e.g. `uname -s`-`uname -r|tr '.' '-'`" >&2
  exit 1
fi

case "$PLATFORM" in
*.*) echo "platform name must not contain '.'" >&2; exit 1;;
esac


# now, lets begin!

if [ -f Makefile ]; then
  COMMAND="make distclean"
  [ "$VERBOSE" ] && echo "$COMMAND"
  $COMMAND >/dev/null 2>&1 || echo "*** failed: $COMMAND" 1>&2
fi

# implicitly generates Makefile, config.h, config.log
COMMAND="./configure $CONFOPTS"
LOGFILE="compile.log"
[ "$VERBOSE" ] && echo "$COMMAND"
if [ "$LOGGING" ]; then
    { $COMMAND; echo "$?" >socat.rc; } 2>&1 |tee $LOGFILE;
    if [ `cat socat.rc` -ne 0 ]; then echo "*** failed: $COMMAND" 1>&2; exit 1; fi
else
    $COMMAND >$LOGFILE 2>&1 || { echo "*** failed: $COMMAND" 1>&2; exit 1; }
fi

COMMAND="make -k"
LOGFILE="compile.log"
[ "$VERBOSE" ] && echo "$COMMAND"
if [ "$LOGGING" ]; then
    { $COMMAND; echo "$?" >socat.rc; } 2>&1 |tee -a $LOGFILE;
    if [ `cat socat.rc` -ne 0 ]; then echo "*** failed: $COMMAND" 1>&2; exit 1; fi
else    
    $COMMAND >>$LOGFILE 2>&1 || { echo "*** failed: $COMMAND" 1>&2; exit 1; }
fi

# generates socat.out
COMMAND="make info"
[ "$VERBOSE" ] && echo "$COMMAND"
$COMMAND >/dev/null || echo "*** failed: $COMMAND" 1>&2

COMMAND="./test.sh"
LOGFILE="test.log"
[ "$VERBOSE" ] && echo "$COMMAND"
if [ "$LOGGING" ]; then
    { $COMMAND; echo "$?" >socat.rc; } 2>&1 |tee $LOGFILE;
    if [ `cat socat.rc` -ne 0 ]; then
	echo "*** failed: $COMMAND" 1>&2
	if [ `cat socat.rc` -ge 128 ]; then
	    exit 1
	fi
    fi
else    
    $COMMAND >$LOGFILE 2>&1 || echo "*** failed: $COMMAND" 1>&2
fi

FILES=

b=Makefile; e=; f=$b; p=Config/$b.$PLATFORM
if [ "$INTERACTIVE" -a -f $p ]; then
  if ! diff $p $f; then
    cp -pi $f $p
  fi
else
  cp -p $f $p
fi
FILES="$p"

b=config; e=h; f=$b.$e; p=Config/$b.$PLATFORM.$e
if [ "$INTERACTIVE" -a -f $p ]; then
  if ! diff $p $f; then
    cp -pi $f $p
  fi
else
  cp -p $f $p
fi
FILES="$FILES $p"

b=socat; e=out; f=$b.$e; p=Config/$b.$PLATFORM.$e
if [ "$INTERACTIVE" -a -f $p ]; then
  if ! diff $p $f; then
    cp -pi $f $p
  fi
else
  cp -p $f $p
fi
FILES="$FILES $p"

b=config; e=log; f=$b.$e; p=Config/$b.$PLATFORM.$e
if [ "$INTERACTIVE" -a -f $p ]; then
  if ! diff $p $f; then
    cp -pi $f $p
  fi
else
  cp -p $f $p
fi
FILES="$FILES $p"

b=compile; e=log; f=$b.$e; p=Config/$b.$PLATFORM.$e
if [ "$INTERACTIVE" -a -f $p ]; then
  if ! diff $p $f; then
    cp -pi $f $p
  fi
else
  cp -p $f $p
fi
FILES="$FILES $p"

b=test; e=log; f=$b.$e; p=Config/$b.$PLATFORM.$e
if [ "$INTERACTIVE" -a -f $p ]; then
  if ! diff $p $f; then
    cp -pi $f $p
  fi
else
  cp -p $f $p
fi
FILES="$FILES $p"

echo "output files:"
echo "$FILES"

Youez - 2016 - github.com/yon3zu
LinuXploit